cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Prasanna Santhanam <prasanna.santha...@citrix.com>
Subject Re: Amazon EC2 API version compatibility in Cloudstack
Date Mon, 10 Sep 2012 12:20:39 GMT
On Mon, Sep 10, 2012 at 07:56:01AM -0400, Pedro Navarro PĂ©rez wrote:
> Hi all,
> 
> First of all I'd like to introduce ourselves, Bruno (CC'ed) and me
> would like to collaborate in testing and developing the Amazon EC2 API
> in Cloudstack.
> 
> We know that at the moment Cloudstack is compatible with Amazon E2 api
> version 2010-11-15. We've done some preliminary tests in Cloudstack
> 4.0 with the latest version of Amazon SDK and it does not work
> properly. So, we'd like to know if there will be efforts to make
> Cloudstack compatible with latest version of Amazon EC2 API, and how
> we can collaborate?
> 
> Thanks

Welcome to the list Pedro and Bruno! Work is underway on fixing the
AWS API support. This work will most likey be in a post-4.0 release.
The Query API right now is not fully functional and folks on the list
are actively working on fixing it. I'll let them speak for this soon
as they get a chance. We're happy to have extra help at hand. The
patches to this list are sent through apache reviewboard. Do sign-up
at reviews.apache.org.

Currently the project is busy with the imminent release task for the
first incubator release of Apache CloudStack. So hang on a bit until
we begin to see more action on this front. We should see a seperate
branch where the AWS API work happens soon.

Meanwhile - We've chosen to run the ec2 test suite provided by
jClouds. It covers a good bit of ground for a quick compatibility
check.  


Thanks!

-- 
Prasanna.,

Mime
View raw message